[DebianGIS-dev] r528 - packages/grass/trunk/debian
Francesco Lovergine
frankie at costa.debian.org
Wed Aug 23 13:39:35 UTC 2006
Author: frankie
Date: 2006-08-23 13:39:34 +0000 (Wed, 23 Aug 2006)
New Revision: 528
Added:
packages/grass/trunk/debian/grass.lintian-overrides
packages/grass/trunk/debian/grass.postinst
packages/grass/trunk/debian/grass.postrm
Modified:
packages/grass/trunk/debian/changelog
Log:
Managing ld.so.conf requirements for grass package, previuosly
used in libgrass package.
Modified: packages/grass/trunk/debian/changelog
===================================================================
--- packages/grass/trunk/debian/changelog 2006-08-23 11:36:22 UTC (rev 527)
+++ packages/grass/trunk/debian/changelog 2006-08-23 13:39:34 UTC (rev 528)
@@ -1,3 +1,12 @@
+grass (6.0.2-5) unstable; urgency=low
+
+ * Reintroduced postinst/postrm script for grass in order to add grass
+ library to ld.so.conf and recreating the cache. That's useful when
+ linking external modules essentially, due to the long list of dep libs.
+ For the same reason re-introduced the lintian override.
+
+ -- Francesco Paolo Lovergine <frankie at debian.org> Wed, 23 Aug 2006 15:37:27 +0200
+
grass (6.0.2-4) unstable; urgency=low
* Moved to libgdal1-1.3.2-dev build-dep, now available.
Added: packages/grass/trunk/debian/grass.lintian-overrides
===================================================================
--- packages/grass/trunk/debian/grass.lintian-overrides 2006-08-23 11:36:22 UTC (rev 527)
+++ packages/grass/trunk/debian/grass.lintian-overrides 2006-08-23 13:39:34 UTC (rev 528)
@@ -0,0 +1,4 @@
+# These are not useless calls. lintian just doesn't know that
+# /usr/lib/grass/lib is in ld.so.conf
+libgrass binary: postinst-has-useless-call-to-ldconfig
+libgrass binary: postrm-has-useless-call-to-ldconfig
Added: packages/grass/trunk/debian/grass.postinst
===================================================================
--- packages/grass/trunk/debian/grass.postinst 2006-08-23 11:36:22 UTC (rev 527)
+++ packages/grass/trunk/debian/grass.postinst 2006-08-23 13:39:34 UTC (rev 528)
@@ -0,0 +1,21 @@
+#!/bin/sh
+# Make sure grass libraries are picked up by ldconfig
+# Lifted from xfree86 package's shell-lib.sh script
+
+set -e
+
+dir="/usr/lib/grass/lib"
+ldsoconf="/etc/ld.so.conf"
+
+# is the line not already present?
+if ! fgrep -qsx "$dir" "$ldsoconf"; then
+ echo "$dir" >> "$ldsoconf"
+fi
+
+if [ "$1" = "configure" ]; then
+ ldconfig
+fi
+
+#DEBHELPER#
+
+exit 0
Added: packages/grass/trunk/debian/grass.postrm
===================================================================
--- packages/grass/trunk/debian/grass.postrm 2006-08-23 11:36:22 UTC (rev 527)
+++ packages/grass/trunk/debian/grass.postrm 2006-08-23 13:39:34 UTC (rev 528)
@@ -0,0 +1,42 @@
+#!/bin/sh
+# Make sure grass library dir is removed from ld.so.conf
+# Lifted from xfree86 package's shell-lib.sh script
+
+set -e
+
+dir="/usr/lib/grass/lib"
+ldsoconf="/etc/ld.so.conf"
+
+if [ "$1" = "remove" ]; then
+ # is the line present?
+ if fgrep -qsx "$dir" "$ldsoconf"; then
+ # rewrite the file (very carefully)
+ set +e
+ fgrep -svx "$dir" "$ldsoconf" > "$ldsoconf.dpkg-tmp"
+ fgrep_status=$?
+ set -e
+ case $fgrep_status in
+ 0|1) ;; # we don't actually care if any lines matched or not
+ *) die "error reading \"$ldsoconf\"; fgrep exited with status" \
+ "$fgrep_status" ;;
+ esac
+ set +e
+ cmp -s "$ldsoconf.dpkg-tmp" "$ldsoconf"
+ cmp_status=$?
+ set -e
+ case $cmp_status in
+ 0) rm "$ldsoconf.dpkg-tmp" ;; # files are identical
+ 1) mv "$ldsoconf.dpkg-tmp" "$ldsoconf" ;; # files differ
+ *) die "error comparing \"$ldsoconf.dpkg-tmp\" to \"$ldsoconf\"; cmp" \
+ "exited with status $cmp_status" ;;
+ esac
+ fi
+fi
+
+if [ "$1" = "remove" ]; then
+ ldconfig
+fi
+
+#DEBHELPER#
+
+exit 0
More information about the Pkg-grass-devel
mailing list